#--Importa la libreria de modelos de DJANGO
from django.db import models
#--Importa el modelo de Concepto
from conceptos.models import Concepto
#--Importa el modelo de Campo_Valor
from campo_valor.models import Campo_Valor
#--Importa el modelo de Grupo
from grupos.models import Grupo
#--Clase que crea el modelo de Asiento
class Asiento(models.Model):
	#--Crea la llave primaria
	id_asiento = models.AutoField(primary_key=True)
	#--Asigna el modelo del concepto
	id_concepto = models.ForeignKey(Concepto)
	#--Asigna el modelo de Campo_Valor 
	id_campo_valor = models.ForeignKey(Campo_Valor,null=True,blank=True)
	#--Asigna la llave foranea de grupo, la cual puede ser null
	id_grupo = models.ForeignKey(Grupo,null=True,blank=True)
	#--Asigna el nombre del asiento
	nombre = models.CharField(max_length=100)
	#--Asigna la descripcion del asiento
	descripcion = models.CharField(max_length=200, null=True)
	#--Asigna el catalogo del asiento
	catalogo = models.CharField(max_length=100, null=True)
	#--Asigna el auxiliar del asiento
	auxiliar = models.CharField(max_length=100, null=True)
	#--Asigna la naturaleza del asiento
	naturaleza = models.CharField(max_length=1)
	#--Asigna si usa u no grupo el asiento
	usa_grupo = models.IntegerField(max_length=1)
	#--Asigna la formula del asiento
	formula = models.CharField(max_length=200, null=True)
	#--Clase para asignar el nombre de la tabla en la base de datos
	class Meta:
		#--Asignacion del nombre de la tabla en la base de datos
		db_table = u'ic_asiento'